/* @override 
	http://localhost:8888/ntd2016.css */
	
@import "fonts/gt-walsheim/gt-walsheim.css";

body {
	margin: 0;
	background-color: #000;
	color: white;
	font-family: "GT Walsheim", Geneva, sans-serif;
	font-size: 13px;
	-webkit-font-smoothing: antialiased;
	transition: background-color 1s ease, color 1s ease;
	padding: 60px 60px 80px;
}

.helper {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}
/* .helper vertically centers inline-block elements that have vertical-align: middle set and are next to span.helper */

h1, h2 {
	font-weight: bold;
}

a {
	color: inherit;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

body.white {
	background-color: white;
	color: black;
}

body.no-scroll {
	overflow: hidden;
}

.global-padding {
	top: 60px;
	right: 60px;
	left: 60px;
	bottom: 80px;
}

.full-height {
	
}

.mask {
	background-color: rgba(0, 0, 0,1);
	width: 100%;
	position: fixed;
	right: 0;
	left: 0;
	z-index: 50;
	/*-webkit-backdrop-filter: blur(20px);*/
	transition: background-color 1s ease;
}

.white .mask {
	background-color: rgba(255,255,255,1);
}

#upper-mask {
	height: 60px;
	top: 0;
}

#lower-mask {
	height: 80px;
	bottom: 0;
	padding-left: 60px;
	padding-right: 60px;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	overflow: scroll;
	-webkit-overflow-scrolling: touch;
}

#footer-content {
	min-width: 950px;
}

#content-frame {
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	position: fixed;
	border: 1px solid white;
	z-index: 50;
	pointer-events: none;
}

.white #content-frame {
	border-color: black;
}

#logo {
	background-color: rgba(0, 0, 0, 1);
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100px;
	height: 100px;
	/*-webkit-backdrop-filter: blur(20px);*/
	pointer-events: none;
	font-size: 1.5em;
	border-top: 1px solid white;
	border-right: 1px solid white;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	padding: 10px;
	transition: background-color 1s ease, opacity 0.5s ease;
	background-image: url(siteimages/ntd-logo-white.svg);
	background-size: contain;
}

.white #logo {
	background-color: rgba(255,255,255,1);
	border-color: black;
	color: black;
	background-image: url(siteimages/ntd-logo-black.svg);
}

nav {
	float: left;
}

nav span {
	padding: 1em;
	display: inline-block;
}

nav span:first-of-type {
	padding-left: 0;
}

.bottom-logos {
	float: right;
	margin-top: 2px;
}

#logos-black {
	display: none;
}

#logos-white {
	display: block;
}

.white #logos-black {
	display: block;
}

.white #logos-white {
	display: none;
}





/* @group Splash Screen */

#splash-text {
	display: inline-block;
	vertical-align: middle;
	font-size: 2em;
}

#splash {
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	text-align: center;
	transition: opacity 1s ease;
}

.no-scroll #splash {
	opacity: 0;
}

#scroll-arrow-wrap {
	position: absolute;
	bottom: 15%;
	left: 0;
	right: 0;
}

/* @end */

/* @group Intro */

.intro {
	transition: opacity 1s ease;
}

.intro article {
	max-width: 400px;
	margin-right: auto;
	margin-left: auto;
	width: 80%;
	margin-bottom: 10em;
	color: white;
}

.bold {
	font-weight: bold;
}

#beo-logo {
	width: 120px;
}

.white .intro {
	color: white;
}

.no-scroll .intro {
	opacity: 0;
}

/* @end */

/* @group Gallery */

div#gallery-wrap {
	overflow: hidden;
	transition: all 0.5s ease;
}

div#gallery {
	overflow: hidden;
	/*-moz-column-count: 2;
	-webkit-column-count: 2;
	column-count: 2;
	-moz-column-gap: 1em;
	-webkit-column-gap: 1em;
	column-gap: 1em%;*/
	overflow: hidden;
	padding: 2.5%;
}

.no-scroll div#gallery-wrap {
	opacity: 0;
	pointer-events: none;
	transform: translateY(20px);
}

#gallery div.work {
	position: relative;
	width: 33.3%;
	float: left;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	padding: 5%;
	cursor: pointer;
}

img.gallery-picture {
	display: block;
	width: 100%;
	transition: opacity 0.5s ease;
}

img.gallery-picture:hover {
	opacity: 0.8;
}

/* @end */

/* @group Picture Viewer */

#picture-viewer {
	position: fixed;
	transition: all 0.5s ease;
}

#picture-viewer.hidden {
	transform: translateY(-20px);
	opacity: 0;
	pointer-events: none;
}

td.side-cell {
	width: 80px;
	text-align: center;
	height: auto;
}

#large-image-wrap {
	
}

#picture-viewer table {
	font-size: 1em;
	margin-right: 1em;
	margin-top: 1.3em;
	height: 1em;
	position: absolute;
	right: 0;
	bottom: 1em;
	left: 120px;
	box-sizing: border-box;
	width: 65%;
}

#picture-viewer td {
	vertical-align: top;
}

#picture-viewer table td.small-td {
	width: 25%;
}

#picture-viewer table td.medium-td {
	width: 30%;
}

#viewer-work-title {
	font-weight: bold;
}

#image-cell {
	height: auto;
	text-align: center;
}

#image-cell img {
	max-width: 100%;
}

#filmstrip-container {
	overflow: auto;
	overflow-y: hidden;
	-webkit-overflow-scrolling: touch;
	position: relative;
}

#filmstrip {
	overflow: hidden;
	padding-right: 30px;
	padding-bottom: 20px;
	padding-left: 120px;
}

.filmstrip-link {
	float: left;
}

#filmstrip img {
	width: 80px;
	margin: 5px;
}

#filmstrip a:first-of-type img {
	margin-left: 0;
}

#filmstrip a:last-of-type img {
	margin-right: 0;
}

#viewer-image {
	position: absolute;
	right: 4em;
	left: 4em;
	bottom: 6em;
	top: 4em;
	box-sizing: border-box;
	
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	transition: opacity 0.5s ease;
}

#viewer-image.hidden {
	opacity: 0;
}

.arrow-button {
	position: absolute;
	top: 4em;
	bottom: 4em;
	width: 4em;
	background-position: center;
	background-repeat: no-repeat;
	transition: opacity 0.3s ease;
}

#left-arrow {
	left: 0;
	background-image: url(siteimages/white/left.svg);
}

.white #left-arrow {
	background-image: url(siteimages/black/left.svg);
}

#right-arrow {
	right: 0;
	background-image: url(siteimages/white/right.svg);
}

.white #right-arrow {
	background-image: url(siteimages/black/right.svg);
}

#close-button {
	background-image: url(siteimages/white/close.svg);
	position: absolute;
	top: 0;
	left: 0;
	width: 4em;
	height: 4em;
	background-position: center;
	background-repeat: no-repeat;
	transition: opacity 0.3s ease;
	box-sizing: border-box;
}

.white #close-button {
	background-image: url(siteimages/black/close.svg);
}

.arrow-button:hover, #close-button:hover {
	opacity: 0.5;
}

.arrow-button:active #close-button:active {
	opacity: 1;
	transition: none;
}

/* @end */

@media only screen and (max-width: 1280px) {

	.global-padding {
		top: 40px;
		right: 40px;
		left: 40px;
		bottom: 80px;
	}
	
	body {
		padding: 40px 40px 80px;
	}
	
	#upper-mask {
		height: 40px;
	}
	
	#lower-mask {
		padding-left: 40px;
		padding-right: 40px;
	}

}

@media only screen and (max-width: 1000px) {

	
	#picture-viewer table {
		width: 80%;
	}
	

}

@media only screen and (max-width: 860px) {

	.global-padding {
		top: 20px;
		right: 20px;
		left: 20px;
		bottom: 60px;
	}
	
	body {
		padding: 20px 20px 60px;
	}
	
	#upper-mask {
		height: 20px;
	}
	
	#lower-mask {
		padding-left: 20px;
		padding-right: 20px;
		height: 60px;
	}
	

}

@media only screen and (max-width: 650px) {

	
	#gallery div.work {
		width: 50%;
		padding: 5%;
	}
	
	#splash-text {
		font-size: 1.5em;
	}
	
	.no-scroll #logo {
		opacity: 0;
	}
	
	#picture-viewer table {
		left: 2em;
		width: 80%;
		right: 2em;
	}
	
	#picture-viewer table td.small-td, #picture-viewer table td.medium-td {
		width: 50%;
	}
	
	.small-screen-hide {
		display: none;
	}

}